Subject: bug#31868: Test failure for GnuCash 3.3 (previously 3.0)

From: Efraim Flashner <[email-masked]>
Date: Wed, 2 Jan 2019 09:45:58 +0200

On Tue, Jan 01, 2019 at 03:15:09PM -0500, Maxim Cournoyer wrote:
> Using latest Guix, GnuCash 3.3 fails its test suite by only one test:
> 
> --8<---------------cut here---------------start------------->8---
> [fail] line:644, test: dual amount column, first transaction correct
> transaction.scm/display options
>  -> expected: ("01/03/18" "$103 income" "Root.Asset.Bank" "$103.00" "$103.00")
>  -> obtained: ("01/03/19" "$103 income" "Root.Asset.Bank" "$103.00" "$103.00")
>  --8<---------------cut here---------------end--------------->8---
> 

Haven't looked at the test yet, is this a 'yyyy' vs 'YYYY' error in ISO8601?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted